<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++;

    Echo "<tr>";
    Echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
    Echo "<td><input type='text' class='form-control form text-right srno' name='srno_$ctr' value='$mctr'></td>";


    Echo "<td>";
    Echo "<select class='form-control form itemgrp fetchpart_$ctr' name='itemgrp_$ctr' style='width:100%'>";
    Echo "<option value=''></option>";
    $gitem = mysqli_query($conn, 'SELECT `code`,`name` FROM `rawmatgrp`  order by name')or die(mysqli_error($conn));
    while ($item = mysqli_fetch_array($gitem)) {
        Echo "<option value='$item[code]'>$item[name]</option>";
    }
    Echo "</select>";
    Echo "</td>";

    Echo "<td>";
    Echo "<select class='form-control form item fetchpart_$ctr' name='item_$ctr' style='width:100%'>";
    Echo "<option value=''></option>";
    Echo "</select>";
    Echo "</td>";

    Echo "<td>";
    Echo "<select class='form-control form color select2 fetchpart_$ctr' name='color_$ctr' style='width:100%'>";
    Echo "<option value=''></option>";
    $gcolor = mysqli_query($conn, 'SELECT `code`,`name` FROM `color` order by name')or die(mysqli_error($conn));
    while ($color = mysqli_fetch_array($gcolor)) {
        Echo "<option value='$color[code]'>$color[name]</option>";
    }
    Echo "</select>";
    echo "</td>";

    Echo "<td><input type='text' class='form-control form lot' name='lot_$ctr'  value=''></td>";
    // Echo "<td><input type='text' class='form-control form text-right yard'   name='yard_$ctr'    value='0'></td>";
    Echo "<td><input type='text' class='form-control form text-right qty'    name='qty_$ctr'     value='0'>
              <input type='hidden' class='form-control form text-right stqty'    name='stqty_$ctr'     value='0'>
              <input type='hidden' class='rawtype' name='rawtype_$ctr' value=''></td>";
    Echo "<td><input type='text' class='form-control form unit'    name='unit_$ctr'     value='' ></td>";
    Echo "<td><input type='text' class='form-control form text-right rate'  id='rate_$ctr'   name='rate_$ctr'     value='0'>
              <input type='hidden' class='sellrate' name='sellrate_$ctr' >
              <input type='hidden' class='costsell' name='costsell_$ctr' ></td>";
    Echo "<td><input type='text' class='form-control form text-right amount'   name='amount_$ctr'   value='0' readonly  tabindex='-1'>
         <input type='hidden' class='form-control form text-right mspamount'   name='mspamount_$ctr'   value='0' readonly></td>";
    Echo "</tr>";
    $ctr++;
} else {
    echo "ERROR";
}
?>
 